﻿@model eCommerce.UI.ViewModels.SiteMenuViewModel

    @foreach (var category in Model.ParentCategories.Take(10))
    {
        var hasChildren = category.ChildCategories.Any();

        <li class="dropdown menu-item">
            @if (hasChildren)
            {
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">@category.Name</a>
                <ul class="dropdown-menu mega-menu">
                    <li class="yamm-content">
                        <!-- ================================== MEGAMENU VERTICAL ================================== -->
                        <div class="row">
                            <div class="col-xs-12">
                                <ul>
                                    @foreach (var child in category.ChildCategories)
                                    {
                                        <li><a href="/Catalogo?rubro=@Url.Encode(category.FormattedName)&categoria=@child.FormattedName">@child.Name</a></li>
                                    }

                                </ul>
                            </div>
                            @if (@category.Image != null)
                            {
                                <div class="dropdown-banner-holder">
                                    <a href="/Catalogo?rubro=@Url.Encode(category.FormattedName)"></a>
                                </div>
                            }
                        </div>
                        <!-- ================================== MEGAMENU VERTICAL ================================== -->
                    </li>
                </ul>
            }
            else
            {
                <a href="/Catalogo?rubro=@Url.Encode(category.FormattedName)">@category.Name</a>
            }
        </li>
    }
